package com.service;

import com.entity.Department;
import com.utils.Page;

import java.util.List;


public interface IDeptService {
    
    List<Department> findAllDepartment();
    void addDept(Department department);

    
    List<Department> findDeptByName(String deptName, Page page);
    int getDeptTotal();
    List<Department> listDept(Page page);

    Department findDeptById(int id);

    void modifyDept(Department department);

    void deleteDept(int id);

}